/**************************************************************/
/** Gestisce statistiche TRIMES SU Facebook PAGE LEVEL DATA  **/
/** Author: @mauroferri Data: 8/4/2018 TAB.36-71              **/
/**************************************************************/

TITLE1 'COMUNE DI RIMINI - UFFICIO COMUNICAZIONE';

%let trimestre=Primo Trimestre 2018; /* Inserire denominazione intervallo */
%let suff=page_1TRIM2018;
%let path=/folders/myfolders/sasuser.v94/facebook/;
%let eticpaesi=etichette-paesi.txt;             /* Tabelle 18 - 22 - 28 */
%let eticcitta=etichette-citta.txt;             /* Tabelle 31 */
%let varcitta=variabilicitta.txt;               /* Tabelle 31 */
%let eticdomini=etichette-domini.txt;           /* Tabelle 38 */
%let vardomini=variabilidomini.txt;
TITLE2 "Facebook Insights PAGE Level - &trimestre";
FOOTNOTE2 "Elaborazione della Redazione web &SYSDATE- Thanks to Sas University Edition 2.7 9.4 M5";
OPTIONS linesize=116 PAGESIZE=62 NONUMBER NODATE CENTER COMPRESS=yes;
LIBNAME facebook "/folders/myfolders/sasuser.v94/facebook";
%let page=/folders/myfolders/sasuser.v94/facebook/Facebook Insights Data Export - Comune di Rimini - 2018-04-04.xlsx;
filename percorso "&path";
%let datada=01JAN2018; /* Intervallo data da: configurare */
%let dataa=31MAR2018;  /* Intervallo data a: configurare */
RUN;

/**************************************************************************/
/* 36 NUMERO DI PERSONE CHE PARLANO DELLA PAGINA PER LINGUA AL MESE       */
/**************************************************************************/

TITLE "#36 28 giorni: il numero di persone che parlano della Pagina suddivise per lingua. (Utenti unici)";
PROC IMPORT DATAFILE="&page"
		    OUT=facebook.day28_lp_talk_36_&suff
		    DBMS=XLSX
		    REPLACE;
SHEET="28 Days Language People Talk...";
RUN;

/**************************************************************************/
/* 37 TAB VISUALIZZATE DAGLI UTENTI AL GIORNO                             */
/**************************************************************************/
TITLE3 "#37 Al giorno: tab nella tua Pagina visualizzate quando gli utenti che hanno effettuato l'accesso hanno visitato la tua Pagina. (Utenti unici)";
PROC IMPORT DATAFILE="&page"
		    OUT=facebook.dlog_int_view_37_&suff
		    DBMS=XLSX
		    REPLACE;
SHEET="Daily Logged-in Tab Views";
RUN;

proc TABULATE data=facebook.dlog_int_view_37_&suff FORMAT=COMMA10.;
CLASS Data;
VAR about
album
albums
allactivity
community
custom
events
home
notes
page_info
photos
posts
profile
profile_about
profile_community
profile_events
profile_home
profile_info
profile_notes
profile_photos
profile_posts
profile_reviews
profile_videos
reviews
timeline
videos
;
KEYLABEL all="TOTALE";
KEYLABEL n="N";
FORMAT Data DDMMYY10.;
      TABLE
Data all, about
album
albums
allactivity
community
custom
events
home
notes
page_info
photos
posts
profile
profile_about
profile_community
profile_events
profile_home
profile_info
profile_notes
profile_photos
profile_posts
profile_reviews
profile_videos
reviews
timeline
videos 
      / BOX="37 Daily Logged-in Tab Views (UTENTI UNICI)";
RUN;

/**************************************************************************/
/* 38 DOMINI ESTERNI DI REINDIRIZZAMENTO PRINCIPALI AL GIORNO             */
/**************************************************************************/

TITLE3 "#38 Al giorno: domini esterni di reindirizzamento principali che inviano traffico alla tua Pagina (Numero totale)";

PROC IMPORT DATAFILE="&page"
		    OUT=facebook.day_ext_ref_38_&suff
		    DBMS=XLSX
		    REPLACE;
SHEET="Daily External Referrers";
RUN;

proc TABULATE data=facebook.day_ext_ref_38_&suff FORMAT=COMMA10.;
CLASS Data;
VAR 
VAR3
VAR4
VAR5
VAR6
VAR7
VAR8
VAR9
VAR10
VAR11
VAR12
VAR13
VAR14
VAR15
VAR16
VAR17
VAR18
VAR19
VAR20
VAR21
VAR22
VAR23
VAR24
VAR25
VAR26
VAR27
VAR28
VAR29
VAR30
VAR31
VAR32
VAR33
VAR34
VAR35
VAR36
VAR37
VAR38
VAR39
VAR40
VAR41
VAR42
VAR43
VAR44
VAR45
VAR46
VAR47
VAR48
VAR49
VAR50
VAR51
VAR52
VAR53
VAR54
VAR55
VAR56
VAR57
VAR58
VAR59
VAR60
VAR61
VAR62
VAR63
VAR64
VAR65
VAR66
VAR67
VAR68
VAR69
VAR70
VAR71
VAR72
VAR73
VAR74
VAR75
VAR76
VAR77
VAR78
VAR79
VAR80
VAR81
VAR82
VAR83
VAR84
VAR85
VAR86
VAR87
VAR88
VAR89
VAR90
VAR91
VAR92
VAR93
VAR94
VAR95
VAR96
VAR97
VAR98
VAR99
VAR100
VAR101
VAR102
VAR103
VAR104
VAR105
VAR106
VAR107
VAR108
VAR109
VAR110
VAR111
VAR112
VAR113
VAR114
VAR115
VAR116
VAR117
VAR118
VAR119
VAR120
VAR121
VAR122
VAR123
VAR124
VAR125
VAR126
VAR127
VAR128
VAR129
VAR130
VAR131
VAR132
VAR133
VAR134
VAR135
VAR136
VAR137
VAR138
VAR139
VAR140
VAR141
VAR142
VAR143
VAR144
VAR145
VAR146
VAR147
VAR148
VAR149
VAR150
VAR151
VAR152
VAR153
VAR154
VAR155
VAR156
VAR157
VAR158
VAR159
VAR160
VAR161
VAR162
VAR163
VAR164
VAR165
VAR166
VAR167
VAR168
VAR169
VAR170
VAR171
VAR172
VAR173
VAR174
VAR175
VAR176
VAR177
VAR178
VAR179
VAR180
VAR181
VAR182
VAR183
VAR184
VAR185
VAR186
VAR187
VAR188
VAR189
VAR190
VAR191
VAR192
VAR193
VAR194
VAR195
VAR196
VAR197
VAR198
VAR199
VAR200
VAR201
VAR202
VAR203
VAR204
VAR205
VAR206
VAR207
VAR208
VAR209
VAR210
VAR211
VAR212
VAR213
VAR214
VAR215
VAR216
VAR217
VAR218
VAR219
VAR220
VAR221
VAR222
VAR223
VAR224
VAR225
VAR226
VAR227
VAR228
VAR229
VAR230
VAR231
VAR232
VAR233
VAR234
VAR235
VAR236
VAR237
VAR238
VAR239
VAR240
VAR241
VAR242
VAR243
VAR244
VAR245
VAR246
VAR247
VAR248
VAR249
VAR250
VAR251
VAR252
VAR253
VAR254
VAR255
VAR256
VAR257
VAR258
VAR259
VAR260
VAR261
VAR262
VAR263
VAR264
VAR265
VAR266
VAR267
VAR268
VAR269
VAR270
VAR271
VAR272
VAR273
VAR274
VAR275
VAR276
VAR277
VAR278
VAR279
VAR280
VAR281
VAR282
VAR283
VAR284
VAR285
VAR286
VAR287
VAR288
VAR289
VAR290
VAR291
;
KEYLABEL n="N" all="TOTALE";
LABEL 
VAR3="Http://arianna.libero.it/web/ricerca?f=hp&qs=comune+rimini+faceb"
VAR4="http://arianna.libero.it/web/ricerca?qs=+comune+di+rimini&f=us"
VAR5="http://arianna.libero.it/web/ricerca?qs=comune+di+rimini&f=us"
VAR6="http://arianna.libero.it/web/ricerca?qs=comune+rimini&f=us"
VAR7="http://icalighieri.gov.it/ai-genitori-alunni-e-doceni-dellic-ali"
VAR8="http://int.search.myway.com/search/GGmain.jhtml?p2=%5EUX%5Expv42"
VAR9="http://int.search.myway.com/search/GGmain.jhtml?searchfor=+neve+"
VAR10="http://mistermedia.it/pubblica-amministrazione-social-customer-c"
VAR11="http://paoloratto.com/2013/02/pagina-facebook-policy.html"
VAR12="http://www.bing.com/search?pc=COSP&ptag=D013018-A21ABFDD9D88F416"
VAR13="http://www.comune.rimini.it/"
VAR14="http://www.comune.rimini.it/agenda/pagina1430.html"
VAR15="http://www.comune.rimini.it/archivio-eventi?field_data_value%5Bv"
VAR16="http://www.comune.rimini.it/archivio-notizie"
VAR17="http://www.comune.rimini.it/archivio-notizie/agenda-digitale-al-"
VAR18="http://www.comune.rimini.it/archivio-notizie/aperta-alla-corte-m"
VAR19="http://www.comune.rimini.it/archivio-notizie/cinema-fulgor-sabat"
VAR20="http://www.comune.rimini.it/archivio-notizie/da-hera-riceviamo-e"
VAR21="http://www.comune.rimini.it/archivio-notizie/dichiarazione-della"
VAR22="http://www.comune.rimini.it/archivio-notizie/elezioni-politiche-"
VAR23="http://www.comune.rimini.it/archivio-notizie/fabbrica-arte-rimin"
VAR24="http://www.comune.rimini.it/archivio-notizie/il-teatro-galli-ha-"
VAR25="http://www.comune.rimini.it/archivio-notizie/inaugurazione-cinem"
VAR26="http://www.comune.rimini.it/archivio-notizie/lassistente-famigli"
VAR27="http://www.comune.rimini.it/archivio-notizie/maltempo-150-i-mm-d"
VAR28="http://www.comune.rimini.it/archivio-notizie/maltempo-ancora-ghi"
VAR29="http://www.comune.rimini.it/archivio-notizie/maltempo-continua-c"
VAR30="http://www.comune.rimini.it/archivio-notizie/progetto-tiberio-pr"
VAR31="http://www.comune.rimini.it/archivio-notizie/vaccinazioni-obblig"
VAR32="http://www.comune.rimini.it/archivio-notizie?field_data_value%5B"
VAR33="http://www.comune.rimini.it/casadei-marco-cessato-il-16062016"
VAR34="http://www.comune.rimini.it/comune-e-citta/citta/arengo-online"
VAR35="http://www.comune.rimini.it/comune-e-citta/citta/arengo/emergenz"
VAR36="http://www.comune.rimini.it/comune-e-citta/citta/arengo/quaderni"
VAR37="http://www.comune.rimini.it/comune-e-citta/citta/monumenti/ponte"
VAR38="http://www.comune.rimini.it/comune-e-citta/comune/canile-e-anagr"
VAR39="http://www.comune.rimini.it/comune-e-citta/comune/canile-e-anagr_1"
VAR40="http://www.comune.rimini.it/comune-e-citta/comune/centro-le-fami"
VAR41="http://www.comune.rimini.it/comune-e-citta/comune/centro-le-fami_1"
VAR42="http://www.comune.rimini.it/comune-e-citta/comune/concorsi"
VAR43="http://www.comune.rimini.it/comune-e-citta/comune/concorsi/conco"
VAR44="http://www.comune.rimini.it/comune-e-citta/comune/elenco-complet"
VAR45="http://www.comune.rimini.it/comune-e-citta/comune/elenco-complet_1"
VAR46="http://www.comune.rimini.it/comune-e-citta/comune/elenco-complet_2"
VAR47="http://www.comune.rimini.it/comune-e-citta/comune/elenco-complet_3"
VAR48="http://www.comune.rimini.it/comune-e-citta/comune/elettorale"
VAR49="http://www.comune.rimini.it/comune-e-citta/comune/elettorale/spe"
VAR50="http://www.comune.rimini.it/comune-e-citta/comune/la-casa-delle-"
VAR51="http://www.comune.rimini.it/comune-e-citta/comune/la-casa-delle-_1"
VAR52="http://www.comune.rimini.it/comune-e-citta/comune/mobilita/trasp"
VAR53="http://www.comune.rimini.it/comune-e-citta/comune/oggetti-rinven"
VAR54="http://www.comune.rimini.it/comune-e-citta/comune/passi-carrabil"
VAR55="http://www.comune.rimini.it/comune-e-citta/comune/politiche-abit"
VAR56="http://www.comune.rimini.it/comune-e-citta/comune/relazioni-con-"
VAR57="http://www.comune.rimini.it/comune-e-citta/comune/scuola-e-servi"
VAR58="http://www.comune.rimini.it/comune-e-citta/comune/scuola-servizi"
VAR59="http://www.comune.rimini.it/comune-e-citta/comune/scuola-servizi_1"
VAR60="http://www.comune.rimini.it/comune-e-citta/comune/scuola-servizi_2"
VAR61="http://www.comune.rimini.it/comune-e-citta/comune/scuola-servizi_3"
VAR62="http://www.comune.rimini.it/comune-e-citta/comune/scuola-servizi_4"
VAR63="http://www.comune.rimini.it/comune-e-citta/comune/scuola-servizi_5"
VAR64="http://www.comune.rimini.it/comune-e-citta/comune/scuola-servizi_6"
VAR65="http://www.comune.rimini.it/comune-e-citta/comune/scuola-servizi_7"
VAR66="http://www.comune.rimini.it/comune-e-citta/comune/scuola-servizi_8"
VAR67="http://www.comune.rimini.it/comune-e-citta/comune/sport-riminisp"
VAR68="http://www.comune.rimini.it/comune-e-citta/comune/sport-riminisp_1"
VAR69="http://www.comune.rimini.it/comune-e-citta/comune/sport-riminisp_2"
VAR70="http://www.comune.rimini.it/comune-e-citta/comune/sport/calendar"
VAR71="http://www.comune.rimini.it/comune-e-citta/comune/sportello-ledi"
VAR72="http://www.comune.rimini.it/comune-e-citta/comune/sportello-ledi_1"
VAR73="http://www.comune.rimini.it/comune-e-citta/comune/sportello-ledi_2"
VAR74="http://www.comune.rimini.it/comune-e-citta/comune/statistiche-e-"
VAR75="http://www.comune.rimini.it/comune-e-citta/comune/ufficio-relazi"
VAR76="http://www.comune.rimini.it/comune-e-citta/comune/ufficio-relazi_1"
VAR77="http://www.comune.rimini.it/comune-e-citta/comune/ufficio-relazi_2"
VAR78="http://www.comune.rimini.it/comune-e-citta/comune/ufficio-relazi_3"
VAR79="http://www.comune.rimini.it/comune-e-citta/comune/ufficio-relazi_4"
VAR80="http://www.comune.rimini.it/comune-e-citta/comune/ufficio-relazi_5"
VAR81="http://www.comune.rimini.it/comune-e-citta/comune/ufficio-relazi_6"
VAR82="http://www.comune.rimini.it/comune-e-citta/comune/ufficio-relazi_7"
VAR83="http://www.comune.rimini.it/comune-e-citta/comune/ufficio-relazi_8"
VAR84="http://www.comune.rimini.it/comune-e-citta/comune/ufficio-relazi_9"
VAR85="http://www.comune.rimini.it/comune-e-citta/comune/ufficio-relazi_10"
VAR86="http://www.comune.rimini.it/concorso-2018-114-1-concorso-pubblic"
VAR87="http://www.comune.rimini.it/concorso1141-educatore-nido-dinfanzi"
VAR88="http://www.comune.rimini.it/consiglio-comunale-seduta-n-01-13"
VAR89="http://www.comune.rimini.it/contatti"
VAR90="http://www.comune.rimini.it/cookie-policy"
VAR91="http://www.comune.rimini.it/cultura-e-turismo/cultura/far"
VAR92="http://www.comune.rimini.it/elenco-telefonico/dellavalle-alberto"
VAR93="http://www.comune.rimini.it/eventi/pagina9277.html?fb_action_ids"
VAR94="http://www.comune.rimini.it/file/bicipolitanajpg-1"
VAR95="http://www.comune.rimini.it/newsletter/signup"
VAR96="http://www.comune.rimini.it/ordinanza-sindacale-qualita-dellaria"
VAR97="http://www.comune.rimini.it/privacy"
VAR98="http://www.comune.rimini.it/search/content/"
VAR99="http://www.comune.rimini.it/search/content/Mercatini%20a%20marso"
VAR100="http://www.comune.rimini.it/search/content/Scuole%20neve"
VAR101="http://www.comune.rimini.it/search/content/centralino"
VAR102="http://www.comune.rimini.it/sites/comune.rimini.it/files/lista_d"
VAR103="http://www.google.com/"
VAR104="http://www.google.de/search?q=sindaco+di+rimini+2017&oq=sindaco+"
VAR105="http://www.google.es/"
VAR106="http://www.google.it/"
VAR107="http://www.google.it/search?client=safari&rls=en&q=comune+rimini"
VAR108="http://www.google.it/search?ei=46mWWrDJMODwgAa0uLLoBQ&q=comune+d"
VAR109="http://www.google.it/search?ei=ECCYWoqJBcfWUa2zhuAO&q=rimini+com"
VAR110="http://www.google.it/search?ei=MJGWWvaHIoaRUa65r9AK&q=comune+di+"
VAR111="http://www.google.it/search?ei=nRiYWvi6C4W6Uq-BgbAK&q=comune+di+"
VAR112="http://www.google.it/search?hl=it&redir_esc&client=ms-android-hm"
VAR113="http://www.google.it/search?hl=it&redir_esc&client=ms-android-sa"
VAR114="http://www.google.it/search?q=Comune+rimini&oq=Comune+rimini&gs_"
VAR115="http://www.google.it/search?q=comune+di+rimini&oq&gs_l=mobile-he"
VAR116="http://www.google.it/search?q=comune+di+rimini&oq=co&gs_l=mobile"
VAR117="http://www.google.it/search?q=comune+di+rimini&oq=co&gs_l=mobile_1"
VAR118="http://www.google.it/search?q=comune+di+rimini&oq=co&gs_l=mobile_2"
VAR119="http://www.google.it/search?q=comune+di+rimini&oq=co&gs_l=mobile_3"
VAR120="http://www.google.it/search?q=comune+di+rimini&oq=co&gs_l=mobile_4"
VAR121="http://www.google.it/search?q=comune+di+rimini&oq=co&gs_l=mobile_5"
VAR122="http://www.google.it/search?q=comune+di+rimini&oq=co&gs_l=mobile_6"
VAR123="http://www.google.it/search?q=comune+di+rimini&oq=com&gs_l=mobil"
VAR124="http://www.google.it/search?q=comune+di+rimini&oq=com&gs_l=mobil_1"
VAR125="http://www.google.it/search?q=comune+di+rimini&oq=comu&gs_l=mobi"
VAR126="http://www.google.it/search?q=comune+di+rimini&oq=comu&gs_l=mobi_1"
VAR127="http://www.google.it/search?q=comune+di+rimini&oq=comu&gs_l=mobi_2"
VAR128="http://www.google.it/search?q=comune+di+rimini&oq=comu&gs_l=mobi_3"
VAR129="http://www.google.it/search?q=comune+di+rimini&oq=comu&gs_l=mobi_4"
VAR130="http://www.google.it/search?q=comune+di+rimini&oq=comu&gs_l=mobi_5"
VAR131="http://www.google.it/search?q=comune+di+rimini&oq=comu&gs_l=mobi_6"
VAR132="http://www.google.it/search?q=comune+di+rimini&oq=comune&gs_l=mo"
VAR133="http://www.google.it/search?q=comune+di+rimini&oq=comune&gs_l=mo_1"
VAR134="http://www.google.it/search?q=comune+di+rimini+facebook&dcr=0&oq"
VAR135="http://www.google.it/search?q=comune+di+rimini+facebook&gws_rd=c"
VAR136="http://www.google.it/search?q=comune+di+rimini+facebook&gws_rd=c_1"
VAR137="http://www.google.it/search?q=comune+di+rimini+facebook&oq=c&gs_"
VAR138="http://www.google.it/search?q=comune+di+rimini+facebook&oq=c&gs__1"
VAR139="http://www.google.it/search?q=comune+di+rimini+facebook&oq=co&gs"
VAR140="http://www.google.it/search?q=comune+di+rimini+facebook&oq=co&gs_1"
VAR141="http://www.google.it/search?q=comune+di+rimini+facebook&oq=comu&"
VAR142="http://www.google.it/search?q=comune+di+rimini+facebook&oq=comun"
VAR143="http://www.google.it/search?q=comune+di+rimini+facebook&oq=comun_1"
VAR144="http://www.google.it/search?q=comune+di+rimini+facebook&oq=comun_2"
VAR145="http://www.google.it/search?q=comune+di+rimini+facebook&oq=comun_3"
VAR146="http://www.google.it/search?q=comune+rimini+scuole+chiuse&dcr=0&"
VAR147="http://www.google.it/search?q=www.comunedi+rimini&gws_rd=cr&dcr="
VAR148="http://www.google.it/search?source=hp&ei=4kCUWpTPEobTkwXpvKaQCg&"
VAR149="http://www.google.it/search?source=hp&ei=GfFJWpjqI4SYkwXeub6oCw&"
VAR150="http://www.icxxsettembrerimini.gov.it/"
VAR151="http://www.itigrimini.it/"
VAR152="http://www.meteobellaria.it/stazione1/index.php"
VAR153="http://www.paoloratto.com/2013/02/pagina-facebook-policy.html"
VAR154="http://www.riminiturismo.it/"
VAR155="http://www.riminiturismo.it/chi-siamo"
VAR156="http://www.riminiturismo.it/contatti"
VAR157="http://www.riminiturismo.it/en"
VAR158="http://www.riminiturismo.it/en/events-news/rimining-things-do-20"
VAR159="http://www.riminiturismo.it/en/tourist-information"
VAR160="http://www.riminiturismo.it/en/visitatori/eventi/manifestazioni-"
VAR161="http://www.riminiturismo.it/en/visitatori/eventi/manifestazioni-_1"
VAR162="http://www.riminiturismo.it/en/visitatori/scopri-il-territorio/p"
VAR163="http://www.riminiturismo.it/eventi-notizie"
VAR164="http://www.riminiturismo.it/eventi-notizie/20-gennaio-2018-buon-"
VAR165="http://www.riminiturismo.it/eventi-notizie/cose-da-fare-rimini-s"
VAR166="http://www.riminiturismo.it/eventi-notizie/lumen-la-cappella-dei"
VAR167="http://www.riminiturismo.it/eventi-notizie/rimining-cose-da-fare"
VAR168="http://www.riminiturismo.it/press/comunicati-stampa"
VAR169="http://www.riminiturismo.it/richiedi-il-kit-del-viaggiatore"
VAR170="http://www.riminiturismo.it/visitatori/come-arrivare/collegament"
VAR171="http://www.riminiturismo.it/visitatori/eventi/manifestazioni-e-i"
VAR172="http://www.riminiturismo.it/visitatori/eventi/manifestazioni-e-i_1"
VAR173="http://www.riminiturismo.it/visitatori/eventi/manifestazioni-e-i_2"
VAR174="http://www.riminiturismo.it/visitatori/eventi/manifestazioni-e-i_3"
VAR175="http://www.riminiturismo.it/visitatori/eventi/manifestazioni-e-i_4"
VAR176="http://www.riminiturismo.it/visitatori/eventi/manifestazioni-e-i_5"
VAR177="http://www.riminiturismo.it/visitatori/eventi/manifestazioni-e-i_6"
VAR178="http://www.riminiturismo.it/visitatori/eventi/manifestazioni-e-i_7"
VAR179="http://www.riminiturismo.it/visitatori/eventi/manifestazioni-e-i_8"
VAR180="http://www.riminiturismo.it/visitatori/eventi/manifestazioni-e-i_9"
VAR181="http://www.riminiturismo.it/visitatori/eventi/manifestazioni-e-i_10"
VAR182="http://www.riminiturismo.it/visitatori/eventi/manifestazioni-e-i_11"
VAR183="http://www.riminiturismo.it/visitatori/eventi/manifestazioni-e-i_12"
VAR184="http://www.riminiturismo.it/visitatori/eventi/manifestazioni-e-i_13"
VAR185="http://www.riminiturismo.it/visitatori/ospitalita/dove-dormire"
VAR186="http://www.riminiturismo.it/visitatori/ospitalita/dove-mangiare/"
VAR187="http://www.riminiturismo.it/visitatori/ospitalita/dove-mangiare/_1"
VAR188="http://www.riminiturismo.it/visitatori/scopri-il-territorio/ambi"
VAR189="http://www.riminiturismo.it/visitatori/scopri-il-territorio/itin"
VAR190="http://www.urlopener.com/homepage.html"
VAR191="https://duckduckgo.com/"
VAR192="https://fr.search.yahoo.com/"
VAR193="https://int.search.myway.com/search/GGmain.jhtml?ct=ARS&n=--sani"
VAR194="https://it.search.yahoo.com/"
VAR195="https://m.altarimini.it/News77606-rimini-asta-oggetti-rinvenuti-"
VAR196="https://mail.google.com/mail/u/0/?ui=2&ik=cb6c0e959a&view=lg&msg"
VAR197="https://wm34.email.it/webmail/wm_5/readmsg.php?us=ZHRvc2lAZW1haW"
VAR198="https://www.altarimini.it/News77606-rimini-asta-oggetti-rinvenut"
VAR199="https://www.bing.com/"
VAR200="https://www.bing.com/search?q=comune+di+rimini&FORM=EDGENA"
VAR201="https://www.bing.com/search?q=comune+di+rimini&FORM=EDGENN"
VAR202="https://www.bing.com/search?q=comune+di+rimini&form=APIPH1&PC=AP"
VAR203="https://www.bing.com/search?q=comune+di+rimini&form=MB1078&mkt=i"
VAR204="https://www.bing.com/search?q=comune+di+rimini&input=5&form=MB10"
VAR205="https://www.bing.com/search?q=comune+di+rimini&pivot=web&mkt=it-"
VAR206="https://www.bing.com/search?q=comune+di+rimini&pr=1&cuid=%7B7B20"
VAR207="https://www.bing.com/search?q=comune+di+rimini&pr=1&cuid=%7BD45A"
VAR208="https://www.bing.com/search?q=comune+di+rimini&qs=n&form=QBRE&sp"
VAR209="https://www.bing.com/search?q=comune+di+rimini+facebook&form=MB1"
VAR210="https://www.bing.com/search?q=comune+di+rimini+facebook&qs=SC&pq"
VAR211="https://www.bing.com/search?q=comune+rimini&FORM=EDGENA"
VAR212="https://www.bing.com/search?q=comune+rimini&form=MB1078&mkt=it-I"
VAR213="https://www.bing.com/search?q=comune+rimini+facebook&form=MB1078"
VAR214="https://www.bing.com/search?q=coune+rimini+facebook&form=MB1078&"
VAR215="https://www.bing.com/search?q=facebook+comune+rimini&input=1&for"
VAR216="https://www.bing.com/search?q=rimini+facebook&form=MB1078&mkt=it"
VAR217="https://www.comune.riccione.rn.it/"
VAR218="https://www.ecosia.org/"
VAR219="https://www.google.ae/"
VAR220="https://www.google.al/"
VAR221="https://www.google.co.uk/"
VAR222="https://www.google.co.ve/"
VAR223="https://www.google.com.ar/"
VAR224="https://www.google.com.ar/search?q=comuna+de+rimini+italia&oq=co"
VAR225="https://www.google.com.br/"
VAR226="https://www.google.com.hk/"
VAR227="https://www.google.com.np/"
VAR228="https://www.google.com.ua/"
VAR229="https://www.google.com/"
VAR230="https://www.google.com/search?oe=utf-8&safe=images&hl=it-IT&clie"
VAR231="https://www.google.de/"
VAR232="https://www.google.es/"
VAR233="https://www.google.fr/"
VAR234="https://www.google.gr/"
VAR235="https://www.google.hu/"
VAR236="https://www.google.it/"
VAR237="https://www.google.it/search?biw=360&bih=287&ei=HESZWqGqJ8a5kwXS"
VAR238="https://www.google.it/search?client=ms-android-huawei&dcr=0&ei=o"
VAR239="https://www.google.it/search?client=ms-android-huawei&ei=Nj2UWuj"
VAR240="https://www.google.it/search?client=ms-android-huawei&ei=t76XWuK"
VAR241="https://www.google.it/search?client=ms-android-samsung&ei=goqWWu"
VAR242="https://www.google.it/search?client=ms-android-samsung&ei=rrOWWq"
VAR243="https://www.google.it/search?client=ms-android-samsung&hl=it-IT&"
VAR244="https://www.google.it/search?oe=utf-8&hl=it-IT&client=ms-android"
VAR245="https://www.google.it/search?pws=0&action=devloc&hl=it&safe=imag"
VAR246="https://www.google.it/search?q=+comune+di+rimini+&client=firefox"
VAR247="https://www.google.it/search?q=acomune+di.rimini&oq=acomune+di.r"
VAR248="https://www.google.it/search?q=comune+di+rimini&client=ms-androi"
VAR249="https://www.google.it/search?q=comune+di+rimini&client=ms-androi_1"
VAR250="https://www.google.it/search?q=comune+di+rimini&ie&oe"
VAR251="https://www.google.it/search?q=comune+di+rimini&ie=utf-8&oe=utf-"
VAR252="https://www.google.it/search?q=comune+di+rimini&ie=utf-8&oe=utf-_1"
VAR253="https://www.google.it/search?q=comune+di+rimini&ie=utf-8&oe=utf-_2"
VAR254="https://www.google.it/search?q=comune+di+rimini&ie=utf-8&oe=utf-_3"
VAR255="https://www.google.it/search?q=comune+di+rimini&oq=c&aqs=chrome."
VAR256="https://www.google.it/search?q=comune+di+rimini&oq=comune&aqs=ch"
VAR257="https://www.google.it/search?q=comune+di+rimini&oq=comune+&aqs=c"
VAR258="https://www.google.it/search?q=comune+di+rimini&oq=comune+&aqs=c_1"
VAR259="https://www.google.it/search?q=comune+di+rimini&oq=comune+di&aqs"
VAR260="https://www.google.it/search?q=comune+di+rimini&oq=comune+di+&aq"
VAR261="https://www.google.it/search?q=comune+di+rimini&oq=comune+di+rim"
VAR262="https://www.google.it/search?q=comune+di+rimini&oq=comune+di+rim_1"
VAR263="https://www.google.it/search?q=comune+di+rimini&oq=comune+di+rim_2"
VAR264="https://www.google.it/search?q=comune+di+rimini+facebook&ie=utf-"
VAR265="https://www.google.it/search?q=comune+di+rimini+facebook&oq=comu"
VAR266="https://www.google.it/search?q=comune+di+rimini+facebook&oq=comu_1"
VAR267="https://www.google.it/search?q=comune+di+rimini+facebook&oq=comu_2"
VAR268="https://www.google.it/search?q=comune+di+rimini+fb&oq=comune+di+"
VAR269="https://www.google.it/search?q=comune+di.rimini&oq=comune+di.rim"
VAR270="https://www.google.it/search?q=comune+rimini&oq=c&gs_l=mobile-he"
VAR271="https://www.google.it/search?q=comune+rimini&oq=comune&aqs=chrom"
VAR272="https://www.google.it/search?q=comune+rimini&prmd=mniv&source=ln"
VAR273="https://www.google.it/search?q=comunediRimini&rlz=1Y3XIUG_itIT59"
VAR274="https://www.google.it/search?q=enp+di+rimini+facebook+&oq=enp+di"
VAR275="https://www.google.it/search?q=facebook+comune+di+rimini&oq=face"
VAR276="https://www.google.it/search?q=facebook+comune+di+rimini&oq=face_1"
VAR277="https://www.google.it/search?q=facebook+comune+di+rimini&oq=face_2"
VAR278="https://www.google.it/search?q=facebook+comune+di+rimini&oq=face_3"
VAR279="https://www.google.it/search?q=rimini+comune+facebook&ie=utf-8&o"
VAR280="https://www.google.it/search?redir_esc&client=ms-android-huawei&"
VAR281="https://www.google.it/search?redir_esc&hl=it-IT&oe=utf-8&safe=im"
VAR282="https://www.google.it/search?safe=active&client=ms-android-samsu"
VAR283="https://www.google.it/search?source=hp&ei=6j6VWr-LJobdwQLG5JXwCg"
VAR284="https://www.google.it/search?source=hp&ei=EJ6XWvm8BcfTUcrygIgJ&q"
VAR285="https://www.google.pl/"
VAR286="https://www.google.ru/"
VAR287="https://www.google.sm/"
VAR288="https://www.google.tn/"
VAR289="https://www.messenger.com/"
VAR290="https://www.msn.com/spartan/ntp?locale=it-IT&market=IT&enablereg"
VAR291="https://www.qwant.com/"
;
FORMAT Data DDMMYY10.;
TABLE
Data all, 
VAR3
VAR4
VAR5
VAR6
VAR7
VAR8
VAR9
VAR10
VAR11
VAR12
VAR13
VAR14
VAR15
VAR16
VAR17
VAR18
VAR19
VAR20
VAR21
VAR22
VAR23
VAR24
VAR25
VAR26
VAR27
VAR28
VAR29
VAR30
VAR31
VAR32
VAR33
VAR34
VAR35
VAR36
VAR37
VAR38
VAR39
VAR40
VAR41
VAR42
VAR43
VAR44
VAR45
VAR46
VAR47
VAR48
VAR49
VAR50
VAR51
VAR52
VAR53
VAR54
VAR55
VAR56
VAR57
VAR58
VAR59
VAR60
VAR61
VAR62
VAR63
VAR64
VAR65
VAR66
VAR67
VAR68
VAR69
VAR70
VAR71
VAR72
VAR73
VAR74
VAR75
VAR76
VAR77
VAR78
VAR79
VAR80
VAR81
VAR82
VAR83
VAR84
VAR85
VAR86
VAR87
VAR88
VAR89
VAR90
VAR91
VAR92
VAR93
VAR94
VAR95
VAR96
VAR97
VAR98
VAR99
VAR100
VAR101
VAR102
VAR103
VAR104
VAR105
VAR106
VAR107
VAR108
VAR109
VAR110
VAR111
VAR112
VAR113
VAR114
VAR115
VAR116
VAR117
VAR118
VAR119
VAR120
VAR121
VAR122
VAR123
VAR124
VAR125
VAR126
VAR127
VAR128
VAR129
VAR130
VAR131
VAR132
VAR133
VAR134
VAR135
VAR136
VAR137
VAR138
VAR139
VAR140
VAR141
VAR142
VAR143
VAR144
VAR145
VAR146
VAR147
VAR148
VAR149
VAR150
VAR151
VAR152
VAR153
VAR154
VAR155
VAR156
VAR157
VAR158
VAR159
VAR160
VAR161
VAR162
VAR163
VAR164
VAR165
VAR166
VAR167
VAR168
VAR169
VAR170
VAR171
VAR172
VAR173
VAR174
VAR175
VAR176
VAR177
VAR178
VAR179
VAR180
VAR181
VAR182
VAR183
VAR184
VAR185
VAR186
VAR187
VAR188
VAR189
VAR190
VAR191
VAR192
VAR193
VAR194
VAR195
VAR196
VAR197
VAR198
VAR199
VAR200
VAR201
VAR202
VAR203
VAR204
VAR205
VAR206
VAR207
VAR208
VAR209
VAR210
VAR211
VAR212
VAR213
VAR214
VAR215
VAR216
VAR217
VAR218
VAR219
VAR220
VAR221
VAR222
VAR223
VAR224
VAR225
VAR226
VAR227
VAR228
VAR229
VAR230
VAR231
VAR232
VAR233
VAR234
VAR235
VAR236
VAR237
VAR238
VAR239
VAR240
VAR241
VAR242
VAR243
VAR244
VAR245
VAR246
VAR247
VAR248
VAR249
VAR250
VAR251
VAR252
VAR253
VAR254
VAR255
VAR256
VAR257
VAR258
VAR259
VAR260
VAR261
VAR262
VAR263
VAR264
VAR265
VAR266
VAR267
VAR268
VAR269
VAR270
VAR271
VAR272
VAR273
VAR274
VAR275
VAR276
VAR277
VAR278
VAR279
VAR280
VAR281
VAR282
VAR283
VAR284
VAR285
VAR286
VAR287
VAR288
VAR289
VAR290
VAR291 
/ BOX="38 Daily External Referrers"
;
RUN;

/**************************************************************************/
/* 39 NUMERO DI PERSONE CHE HANNO ESPRESSO COMMENTI NEGATIVI AL GIORNO    */
/**************************************************************************/

TITLE3 "#39 Al giorno: il numero di persone che hanno espresso commenti negativi sulla tua Pagina, per tipo. (Utenti unici)";
PROC IMPORT DATAFILE="&page"
		    OUT=facebook.day_neg_fback_39_&suff
		    DBMS=XLSX
		    REPLACE;
SHEET="Daily Negative Feedback by Type";
RUN;

proc TABULATE DATA=facebook.day_neg_fback_39_&suff FORMAT=COMMA10.;
CLASS Data;
VAR 
hide_all_clicks
hide_clicks
report_spam_clicks
unlike_page_clicks
xbutton_clicks
;
KEYLABEL all="TOTALE";
KEYLABEL n="N";
FORMAT Data DDMMYY10.;
TABLE
Data all, 
hide_all_clicks
hide_clicks
report_spam_clicks
unlike_page_clicks
xbutton_clicks
      / BOX="39 Daily Negative Feedback by Type (UTENTI UNICI)";
RUN;


/***************************************************************************/
/* 40 NUMERO DI PERSONE CHE HANNO ESPRESSO COMMENTI NEGATIVI ALLA SETTIMANA*/
/***************************************************************************/

TITLE3 "#40 Settimanale: il numero di persone che hanno espresso commenti negativi sulla tua Pagina, per tipo. (Utenti unici)";
PROC IMPORT DATAFILE="&page"
		    OUT=facebook.we_neg_fback_40_&suff
		    DBMS=XLSX
		    REPLACE;
SHEET="Weekly Negative feedback by...";
RUN;

/*********************************************************************/
/* 41 NUMERO DI PERSONE CHE HANNO ESPRESSO COMMENTI NEGATIVI AL MESE */
/*********************************************************************/

TITLE "#41 28 giorni: il numero di persone che hanno espresso commenti negativi sulla tua Pagina, per tipo. (Utenti unici)";
PROC IMPORT DATAFILE="&page"
		    OUT=facebook.d28_neg_fback_41_&suff
		    DBMS=XLSX
		    REPLACE;
SHEET="28 Days Negative Feedback by...";
RUN;


/********************************************************************************/
/* 42 NUMERO DI VOLTE CHE LE PERSONE HANNO ESPRESSO COMMENTI NEGATIVI AL GIORNO */
/********************************************************************************/
TITLE3 "#42 Al giorno: il numero di volte in cui le persone hanno espresso commenti negativi sulla tua Pagina, per tipo. (Numero totale)";
PROC IMPORT DATAFILE="&page"
		    OUT=facebook.day_neg_fback_42_&suff
		    DBMS=XLSX
		    REPLACE;
SHEET="Daily Negative Feedback From...";
RUN;

proc TABULATE DATA=facebook.day_neg_fback_42_&suff FORMAT=COMMA10.;
CLASS Data;
VAR 
hide_all_clicks
hide_clicks
report_spam_clicks
unlike_page_clicks
xbutton_clicks
;
KEYLABEL all="TOTALE";
KEYLABEL n="N";
FORMAT Data DDMMYY10.;
TABLE
Data all, 
hide_all_clicks
hide_clicks
report_spam_clicks
unlike_page_clicks
xbutton_clicks
      / BOX="42 Daily Negative Feedback (NUMERO TOTALE)";
RUN;

/*************************************************************************************/
/* 43 NUMERO DI VOLTE CHE LE PERSONE HANNO ESPRESSO COMMENTI NEGATIVI ALLA SETTIMANA */
/*************************************************************************************/

TITLE3 "#43 Settimanale: il numero di volte in cui le persone hanno fornito commenti negativi sulla tua Pagina, per tipo. (Numero totale)";
PROC IMPORT DATAFILE="&page"
		    OUT=facebook.we_neg_fback_43_&suff
		    DBMS=XLSX
		    REPLACE;
SHEET="Weekly Negative Feedback fro...";
RUN;

/*************************************************************************************/
/* 44 NUMERO DI VOLTE CHE LE PERSONE HANNO ESPRESSO COMMENTI NEGATIVI AL MESE        */
/*************************************************************************************/

TITLE3 "#44 28 giorni: il numero di volte in cui le persone hanno espresso commenti negativi sulla tua Pagina, per tipo. (Numero totale)";
PROC IMPORT DATAFILE="&page"
		    OUT=facebook.d28_neg_fback1_44_&suff
		    DBMS=XLSX
		    REPLACE;
SHEET="28 Days Negative Feedback...001";
RUN;


/***************************************************************************************/
/* 45 GENERE ED ETA DELLE PERSONE CHE SI REGISTRANO USANDO DISPOSITIVI MOBILI AL GIORNO*/
/***************************************************************************************/
TITLE3 "#45 Al giorno: genere ed età delle persone che si registrano nella tua posizione usando dispositivi mobili (Numero totale)";
PROC IMPORT DATAFILE="&page"
		    OUT=facebook.day_chkin_gen_45_&suff
		    DBMS=XLSX
		    REPLACE;
SHEET="Daily Check-Ins by Gender an...";
RUN;

PROC MEANS DATA=facebook.day_chkin_gen_45_&suff;
RUN;

/******************************************************************************************/
/* 46 PAESI PRINCIPALI DELLE PERSONE CHE SI REGISTRANO USANDO DISPOSITIVI MOBILI AL GIORNO*/
/******************************************************************************************/
TITLE3 "#46 Al giorno: Paesi principali delle persone che si registrano nel tuo luogo usando dispositivi mobili (Numero totale)";
PROC IMPORT DATAFILE="&page"
		    OUT=facebook.day_chkin_cou_46_&suff
		    DBMS=XLSX
		    REPLACE;
SHEET="Daily Check-Ins by Country";
RUN;
PROC MEANS DATA=FACEBOOK.day_chkin_cou_46_&suff;
RUN;

/******************************************************************************************/
/* 47 CITTA PRINCIPALI DELLE PERSONE CHE SI REGISTRANO NEL TUO LUOGO                      */
/******************************************************************************************/
TITLE3 "#47 Al giorno: le città principali delle persone che si registrano nel tuo luogo (Numero totale)";
PROC IMPORT DATAFILE="&page"
		    OUT=facebook.day_chkin_cit_47_&suff
		    DBMS=XLSX
		    REPLACE;
SHEET="Daily Check-ins by City";
RUN;
PROC MEANS DATA=facebook.day_chkin_cit_47_&suff;
RUN;
/******************************************************************************************/
/* 48 LINGUE PRINCIPALI DELLE PERSONE CHE SI REGISTRANO NEL TUO LUOGO AL GIORNO           */
/******************************************************************************************/

TITLE3 "#48 Al giorno: le lingue principali delle persone che si registrano nel tuo luogo (Numero totale)";
PROC IMPORT DATAFILE="&page"
		    OUT=facebook.day_chkin_loc_48_&suff
		    DBMS=XLSX
		    REPLACE;
SHEET="Daily Check-Ins by Locale";
RUN;
PROC MEANS DATA=facebook.day_chkin_loc_48_&suff;
RUN;

/************************************************************************************************/
/* 49 GENERE ED ETA DELLE PERSONE CHE SI REGISTRANO NELLA TUA POSIZIONE USANDO MOBILE AL GIORNO */
/************************************************************************************************/
TITLE3 "#49 Al giorno: genere ed età delle persone che si registrano nella tua posizione usando dispositivi mobili (Numero totale)";
PROC IMPORT DATAFILE="&page"
		    OUT=facebook.day_mobile_gen_49_&suff
		    DBMS=XLSX
		    REPLACE;
SHEET="Daily Mobile Check-ins by Ge...";
RUN;
PROC MEANS DATA=facebook.day_mobile_gen_49_&suff;
RUN;
/***********************************************************************************************/
/* 50 PAESI PRINCIPALI DELLE PERSONE CHE SI REGISTRANO NEL TUO LUOGO USANDO MOBILE AL GIORNO   */
/***********************************************************************************************/

TITLE3 "#51 Al giorno: Paesi principali delle persone che si registrano nel tuo luogo usando dispositivi mobili (Numero totale)";
PROC IMPORT DATAFILE="&page"
		    OUT=facebook.day_mob_chkin1_50_&suff
		    DBMS=XLSX
		    REPLACE;
SHEET="Daily Mobile Check-ins by...001";
RUN;
PROC MEANS DATA=facebook.day_mob_chkin1_50_&suff;
RUN;
/***********************************************************************************************/
/* 51 CITTA PRINCIPALI DELLE PERSONE CHE SI REGISTRANO NEL TUO LUOGO USANDO MOBILE AL GIORNO   */
/***********************************************************************************************/

TITLE3 "#51 Al giorno: le città principali delle persone che si registrano nel tuo luogo usando dispositivi mobili (numero totale)";
PROC IMPORT DATAFILE="&page"
		    OUT=facebook.day_mob_chkin2_51_&suff
		    DBMS=XLSX
		    REPLACE;
SHEET="Daily Mobile Check-ins by...002";
RUN;
PROC MEANS DATA=facebook.day_mob_chkin2_51_&suff;
RUN;
/***********************************************************************************************/
/* 52 LINGUE PRINCIPALI DELLE PERSONE CHE SI REGISTRANO NEL TUO LUOGO USANDO MOBILE AL GIORNO  */
/***********************************************************************************************/

TITLE3 "#52 Al giorno: le lingue principali delle persone che si registrano nel tuo luogo usando dispositivi mobili (numero totale)";
PROC IMPORT DATAFILE="&page"
		    OUT=facebook.day_mob_chkin3_52_&suff
		    DBMS=XLSX
		    REPLACE;
SHEET="Daily Mobile Check-ins by...003";
RUN;
PROC MEANS DATA=facebook.day_mob_chkin3_52_&suff;
RUN;
/**************************************************************************************************************/
/* 53 IL NUMERO DI VOLTE IN CUI LE PERSONE HANNO FORNITO COMMENTI POSITIVI ALLA TUA PAGINA PER TIPO AL GIORNO */
/**************************************************************************************************************/

TITLE3 "#53 Al giorno: il numero di volte in cui le persone hanno fornito commenti positivi alla tua Pagina, per tipo. (Numero totale)";
PROC IMPORT DATAFILE="&page"
		    OUT=facebook.day_pos_fback_53_&suff
		    DBMS=XLSX
		    REPLACE;
SHEET="Daily Positive Feedback from...";
RUN;

proc TABULATE DATA=facebook.day_pos_fback_53_&suff FORMAT=COMMA10.;
CLASS Data;
VAR 
answer
claim
comment
like
link
other
;
KEYLABEL all="TOTALE";
KEYLABEL n="N";
FORMAT Data DDMMYY10.;
TABLE
Data all, 
answer
claim
comment
like
link
other
      / BOX="53 Daily Positive Feedback (NUMERO TOTALE)";
RUN;


/*******************************************************************************************************************/
/* 54 IL NUMERO DI VOLTE IN CUI LE PERSONE HANNO FORNITO COMMENTI POSITIVI ALLA TUA PAGINA PER TIPO ALLA SETTIMANA */
/*******************************************************************************************************************/

TITLE3 "#54 Settimanale: il numero di volte in cui le persone hanno fornito commenti positivi alla tua Pagina, per tipo. (Numero totale)";
PROC IMPORT DATAFILE="&page"
		    OUT=facebook.we_pos_fback_54_&suff
		    DBMS=XLSX
		    REPLACE;
SHEET="Weekly Positive Feedback fro...";
RUN;

/*******************************************************************************************************************/
/* 55 IL NUMERO DI VOLTE IN CUI LE PERSONE HANNO FORNITO COMMENTI POSITIVI ALLA TUA PAGINA PER TIPO AL MESE        */
/*******************************************************************************************************************/

TITLE3 "#55 28 giorni: il numero di volte in cui le persone hanno fornito commenti positivi alla tua Pagina, per tipo. (Utenti unici)";
PROC IMPORT DATAFILE="&page"
		    OUT=facebook.d28_pos_fback_55_&suff
		    DBMS=XLSX
		    REPLACE;
SHEET="28 Days Positive Feedback fr...";
RUN;

/*******************************************************************************************************************/
/* 56 IL NUMERO DI VOLTE IN CUI LE PERSONE HANNO FORNITO COMMENTI POSITIVI ALLA TUA PAGINA PER TIPO AL GIORNO      */
/*******************************************************************************************************************/
TITLE3 "#56 Al giorno: il numero di volte in cui le persone hanno fornito commenti positivi alla tua Pagina, per tipo. (Utenti unici)";
PROC IMPORT DATAFILE="&page"
		    OUT=facebook.day_pos_fback1_56_&suff
		    DBMS=XLSX
		    REPLACE;
SHEET="Daily Positive Feedback f...001";
RUN;

proc TABULATE DATA=facebook.day_pos_fback1_56_&suff FORMAT=COMMA10.;
CLASS Data;
VAR 
answer
claim
comment
like
link
other
;
KEYLABEL all="TOTALE";
KEYLABEL n="N";
FORMAT Data DDMMYY10.;
TABLE
Data all, 
answer
claim
comment
like
link
other
      / BOX="53 Daily Positive Feedback (NUMERO TOTALE)";
RUN;

/*******************************************************************************************************************/
/* 57 IL NUMERO DI VOLTE IN CUI LE PERSONE HANNO FORNITO COMMENTI POSITIVI ALLA TUA PAGINA PER TIPO ALLA SETTIMANA */
/*******************************************************************************************************************/

TITLE3 "#57 Settimanale: il numero di volte in cui le persone hanno fornito commenti positivi alla tua Pagina, per tipo. (Utenti unici)";
PROC IMPORT DATAFILE="&page"
		    OUT=facebook.we_pos_fback1_57_&suff
		    DBMS=XLSX
		    REPLACE;
SHEET="Weekly Positive Feedback...001";
RUN;

/*******************************************************************************************************************/
/* 58 IL NUMERO DI VOLTE IN CUI LE PERSONE HANNO FORNITO COMMENTI POSITIVI ALLA TUA PAGINA PER TIPO AL MESE        */
/*******************************************************************************************************************/

TITLE3 "#58 28 giorni: il numero di volte in cui le persone hanno fornito commenti positivi alla tua Pagina, per tipo. (Numero totale)";
PROC IMPORT DATAFILE="&page"
		    OUT=facebook.d28_pos_fback1_58
		    DBMS=XLSX
		    REPLACE;
SHEET="28 Days Positive Feedback...001";
RUN;

/***********************************************************************************************/
/* 59 NUMERO DI PERSONE HANNO MESSO MIPIACE ALLA TUA PAGINA QUANDO SONO NEL FUSO ORARIOPST/PDT */
/***********************************************************************************************/

TITLE3 "#59 Al giorno: il numero di persone che hanno messo Mi piace alla tua Pagina e quando sono online nel fuso orario PST/PDT (utenti unici)";
PROC IMPORT DATAFILE="&page"
		    OUT=facebook.day_liked_59_&suff
		    DBMS=XLSX
		    REPLACE;
SHEET="Daily Liked and Online";
RUN;
proc means data=facebook.day_liked_59_&suff; RUN;
proc TABULATE DATA=facebook.day_liked_59_&suff FORMAT=COMMA10.;
CLASS Data;
VAR 
_0
_1
_2
_3
_4
_5
_6
_7
_8
_9
_10
_11
_12
_13
_14
_15
_16
_17
_18
_19
_20
_21
_22
_23
;
KEYLABEL all="TOTALE";
KEYLABEL n="N";
FORMAT Data DDMMYY10.;
TABLE Data all,
_0
_1
_2
_3
_4
_5
_6
_7
_8
_9
_10
_11
_12
_13
_14
_15
_16
_17
_18
_19
_20
_21
_22
_23
      / BOX="53 Daily Positive Feedback (NUMERO TOTALE)";
RUN;


/********************************************************************************************/
/* 60 NUMERO DI CLIC SU INDICAZIONI STRADALI IN TOTALE PER PAGINA IN BASE AL SITO AL GIORNO */
/********************************************************************************************/
TITLE3 "#60 Al giorno: numero di clic su Indicazioni stradali in totale per Pagina in base al sito (Utenti unici)";
PROC IMPORT DATAFILE="&page"
		    OUT=facebook.day_tot_getdir_60_&suff
		    DBMS=XLSX
		    REPLACE;
SHEET="Daily Total get direction cl...";
RUN;

proc TABULATE DATA=facebook.day_tot_getdir_60_&suff FORMAT=COMMA10.;
CLASS Data;
VAR 
API
MOBILE
OTHER
WWW
;
KEYLABEL all="TOTALE";
KEYLABEL n="N";
FORMAT Data DDMMYY10.;
TABLE
Data all, 
API
MOBILE
OTHER
WWW
      / BOX="60 Daily Total get direction (Utenti unici)";
RUN;


/*************************************************************************************************/
/* 61 NUMERO DI CLIC SU INDICAZIONI STRADALI IN TOTALE PER PAGINA IN BASE AL SITO ALLA SETTIMANA */
/*************************************************************************************************/

TITLE3 "#61 Settimanale: numero di clic su Indicazioni stradali in totale per Pagina in base al sito (Utenti unici)";
PROC IMPORT DATAFILE="&page"
		    OUT=facebook.we_tot_getdir_61_&suff
		    DBMS=XLSX
		    REPLACE;
SHEET="Weekly Total get direction c...";
RUN;

/********************************************************************************************/
/* 62 NUMERO DI CLIC PER EFFETTUARE CHIAMATE IN TOTALE PER PAGINA IN BASE AL SITO AL GIORNO */
/********************************************************************************************/
TITLE3 "#62 Al giorno: numero di clic per effettuare chiamate in totale per Pagina in base al sito (Utenti unici)";
PROC IMPORT DATAFILE="&page"
		    OUT=facebook.day_tot_call_62_&suff
		    DBMS=XLSX
		    REPLACE;
SHEET="Daily Total phone calls clic...";
RUN;

proc TABULATE DATA=facebook.day_tot_call_62_&suff FORMAT=COMMA10.;
CLASS Data;
VAR 
API
MOBILE
OTHER
WWW
;
KEYLABEL all="TOTALE";
KEYLABEL n="N";
FORMAT Data DDMMYY10.;
TABLE
Data all, 
API
MOBILE
OTHER
WWW
      / BOX="62 Daily Total phone calls (Utenti unici)";
RUN;

/*************************************************************************************************/
/* 63 NUMERO DI CLIC PER EFFETTUARE CHIAMATE IN TOTALE PER PAGINA IN BASE AL SITO ALLA SETTIMANA */
/*************************************************************************************************/

TITLE3 "#63 Settimanale: numero di clic per effettuare chiamate in totale per Pagina in base al sito (Utenti unici)";
PROC IMPORT DATAFILE="&page"
		    OUT=facebook.we_tot_cal_63_&suff
		    DBMS=XLSX
		    REPLACE;
SHEET="Weekly Total phone calls cli...";
RUN;


/*************************************************************************************/
/* 64 NUMERO DI CLIC SUL SITO WEB IN TOTALE PER PAGINA IN BASE AL SITO AL GIORNO     */
/*************************************************************************************/
TITLE3 "#64 Al giorno: numero di clic sul sito Web in totale per Pagina in base al sito (Utenti unici)";
PROC IMPORT DATAFILE="&page"
		    OUT=facebook.day_tot_web_64_&suff
		    DBMS=XLSX
		    REPLACE;
SHEET="Daily Total website click co...";
RUN;

PROC MEANS DATA=facebook.day_tot_web_64_&suff maxdec=2;
RUN;

proc TABULATE data=facebook.day_tot_web_64_&suff;
CLASS Data;
VAR API	MOBILE OTHER WWW;
KEYLABEL all="TOTALE";
KEYLABEL n="N";
FORMAT Data DDMMYY10.;
      TABLE
      Data all, API*f=comma10. MOBILE*f=comma10. OTHER*f=comma10. WWW*f=comma10. / BOX="64 Daily Total website click";
RUN;

DATA TEMP;
mese=month(Data);
SET facebook.day_tot_web_64_&suff;
where year(Data) NE 2017;
RUN;

proc sort data=TEMP;
by mese;
Run;

PROC FORMAT;
VALUE  MESEFMT
1="Gennaio"
2="Febbraio"
3="Marzo"
4="Aprile"
5="Maggio"
6="Giugno"
7="Luglio"
8="Agosto"
9="Settembre" 
10="Ottobre"
11="Novembre"
12="Dicembre"
;
RUN;

proc TABULATE data=TEMP ;
CLASS mese;
VAR API	MOBILE OTHER WWW;
KEYLABEL all="TOTALE";
KEYLABEL n="N";
FORMAT Data DDMMYY10. mese MESEFMT.;
      TABLE
      mese all, API*f=comma10. MOBILE*f=comma10. OTHER*f=comma10. WWW*f=comma10. / BOX="64 Daily Total website click";
RUN;

/*************************************************************************************/
/* 65 NUMERO DI CLIC SUL SITO WEB IN TOTALE PER PAGINA IN BASE AL SITO ALLA SETTIMANA*/
/*************************************************************************************/

TITLE3 "#65 Settimanale: Numero di clic sul sito Web in totale per Pagina in base al sito (Utenti unici)";
PROC IMPORT DATAFILE="&page"
		    OUT=facebook.we_tot_clic_65_&suff
		    DBMS=XLSX
		    REPLACE;
SHEET="Weekly Total website click c...";
RUN;

/*********************************************************************************************************/
/* 66 NUMERO TOTALE DI CLIC SUL PUSANTE INDICAZIONI STRADALI PER PAGINA IN BASE A ETA E GENERE PER GIORNO*/
/*********************************************************************************************************/
TITLE3 "#66 Al giorno: numero totale dei clic sul pulsante Indicazioni stradali per Pagina in base a età e genere (Utenti unici)";

PROC IMPORT DATAFILE="&page"
		    OUT=facebook.day_tot_dir1_66_&suff
		    DBMS=XLSX
		    REPLACE;
SHEET="Daily Total get direction...001";
RUN;

proc TABULATE data=facebook.day_tot_dir1_66_&suff format=comma10. ;
CLASS Data;
VAR 
_13_17_F
_13_17_M
_13_17_U
_18_24_F
_18_24_M
_18_24_U
_25_34_F
_25_34_M
_25_34_U
_35_44_F
_35_44_M
_35_44_U
_45_54_F
_45_54_M
_45_54_U
_55_64_F
_55_64_M
_55_64_U
_65__F
_65__M
_65__U
_13_F
_13_M
_13_U
UNKNOWN_F
UNKNOWN_M
UNKNOWN_U;
KEYLABEL all="TOTALE";
KEYLABEL n="N";
FORMAT Data DDMMYY10.;
LABEL _13_F="F <13" _13_17_F="F 13-17" _18_24_F="F 18-24" _25_34_F="F 25-34" _35_44_F="F 35-44" _45_54_F="F 45-54" _55_64_F="F 55-64" _65__F="F 65+"
      _13_M="M <13" _13_17_M="M 13-17" _18_24_M="M 18-24" _25_34_M="M 25-34" _35_44_M="M 35-44" _45_54_M="M 45-54" _55_64_M="M 55-64" _65__M="M 65+"
      _13_U="U <13" _13_17_U="U 13-17" _18_24_U="U 18-24" _25_34_U="U 25-34" _35_44_U="U 35-44" _45_54_U="U 45-54" _55_64_U="U 55-64" _65__U="U 65+"
      UNKNOWN_F="F no età"
      UNKNOWN_M="M no età"
      UNKNOWN_U="U no età"; 
      TABLE
      Data all, 
_13_F
_13_17_F
_18_24_F
_25_34_F
_35_44_F
_45_54_F
_55_64_F
_65__F
_13_M
_13_17_M
_18_24_M
_25_34_M
_35_44_M
_45_54_M
_55_64_M
_65__M
_13_U
_13_17_U
_18_24_U
_25_34_U
_35_44_U
_45_54_U
_55_64_U
_65__U
UNKNOWN_F
UNKNOWN_M
UNKNOWN_U
      / BOX="66 Daily Total get direction by gender and age (Utenti Unici)";
RUN;

/*************************************************************************************************************/
/* 67 NUMERO TOTALE DI CLIC SUL PUSANTE INDICAZIONI STRADALI PER PAGINA IN BASE A ETA E GENERE ALLA SETTIMANA*/
/*************************************************************************************************************/
TITLE3 "#67 Settimanale: numero totale dei clic sul pulsante Indicazioni stradali per Pagina in base a età e genere (Utenti unici)";
PROC IMPORT DATAFILE="&page"
		    OUT=facebook.we_tot_dir1_67_&suff
		    DBMS=XLSX
		    REPLACE;
SHEET="Weekly Total get directio...001";
RUN;

/*************************************************************************************************************/
/* 68 NUMERO TOTALE DI CLIC PER EFFETTUARE CHIAMATE PER PAGINA IN BASE A ETA E GENERE AL GIORNO              */
/*************************************************************************************************************/
TITLE3 "#68 Al giorno: numero totale di clic per effettuare chiamate per Pagina in base a età e genere (Utenti unici)";
PROC IMPORT DATAFILE="&page"
		    OUT=facebook.day_tot_cal1_68_&suff
		    DBMS=XLSX
		    REPLACE;
SHEET="Daily Total phone calls c...001";
RUN;

proc TABULATE data=facebook.day_tot_cal1_68_&suff format=comma10. ;
CLASS Data;
VAR 
_13_17_F
_13_17_M
_13_17_U
_18_24_F
_18_24_M
_18_24_U
_25_34_F
_25_34_M
_25_34_U
_35_44_F
_35_44_M
_35_44_U
_45_54_F
_45_54_M
_45_54_U
_55_64_F
_55_64_M
_55_64_U
_65__F
_65__M
_65__U
_13_F
_13_M
_13_U
UNKNOWN_F
UNKNOWN_M
UNKNOWN_U;
KEYLABEL all="TOTALE";
KEYLABEL n="N";
FORMAT Data DDMMYY10.;
LABEL _13_F="F <13" _13_17_F="F 13-17" _18_24_F="F 18-24" _25_34_F="F 25-34" _35_44_F="F 35-44" _45_54_F="F 45-54" _55_64_F="F 55-64" _65__F="F 65>"
      _13_M="M <13" _13_17_M="M 13-17" _18_24_M="M 18-24" _25_34_M="M 25-34" _35_44_M="M 35-44" _45_54_M="M 45-54" _55_64_M="M 55-64" _65__M="M 65+"
      _13_U="U <13" _13_17_U="U 13-17" _18_24_U="U 18-24" _25_34_U="U 25-34" _35_44_U="U 35-44" _45_54_U="U 45-54" _55_64_U="U 55-64" _65__U="U 65+"
      UNKNOWN_F="F no età"
      UNKNOWN_M="M no età"
      UNKNOWN_U="U no età"; 
      TABLE
      Data all, 
_13_F
_13_17_F
_18_24_F
_25_34_F
_35_44_F
_45_54_F
_55_64_F
_65__F
_13_U
_13_17_M
_18_24_M
_25_34_M
_35_44_M
_45_54_M
_55_64_M
_65__M
_13_17_U
_18_24_U
_25_34_U
_35_44_U
_45_54_U
_55_64_U
_65__U
UNKNOWN_F
UNKNOWN_M
UNKNOWN_U
      / BOX="68 Daily Total phone calls by gender and age (Utenti Unici)";
RUN;

/*************************************************************************************************************/
/* 69 NUMERO TOTALE DI CLIC PER EFFETTUARE CHIAMATE PER PAGINA IN BASE A ETA E GENERE ALLA SETTIMANA         */
/*************************************************************************************************************/

TITLE3 "#69 Settimanale: numero totale di clic per effettuare chiamate per Pagina in base a età e genere (Utenti unici)";
PROC IMPORT DATAFILE="&page"
		    OUT=facebook.we_tot__cal1_69_&suff
		    DBMS=XLSX
		    REPLACE;
SHEET="Weekly Total phone calls...001";
RUN;


/*********************************************************************************************/
/* 70 NUMERO TOTALE DI CLIC SUL SITO WEB PER PAGINA IN BASE A ETA E GENERE AL GIORNO         */
/*********************************************************************************************/

TITLE3 "#70 Al giorno: numero totale dei clic sul sito Web per Pagina in base a età e genere (Utenti unici)";

PROC IMPORT DATAFILE="&page"
		    OUT=facebook.day_tot_clic_70_&suff
		    DBMS=XLSX
		    REPLACE;
SHEET="Daily Total web site click c...";
RUN;

proc TABULATE data=facebook.day_tot_clic_70_&suff format=comma10. ;
CLASS Data;
VAR 
_13_17_F
_13_17_M
_13_17_U
_18_24_F
_18_24_M
_18_24_U
_25_34_F
_25_34_M
_25_34_U
_35_44_F
_35_44_M
_35_44_U
_45_54_F
_45_54_M
_45_54_U
_55_64_F
_55_64_M
_55_64_U
_65__F
_65__M
_65__U
_13_F
_13_M
_13_U
UNKNOWN_F
UNKNOWN_M
UNKNOWN_U;
KEYLABEL all="TOTALE";
KEYLABEL n="N";
FORMAT Data DDMMYY10.;
LABEL _13_F="F <13" _13_17_F="F 13-17" _18_24_F="F 18-24" _25_34_F="F 25-34" _35_44_F="F 35-44" _45_54_F="F 45-54" _55_64_F="F 55-64" _65__F="F 65>"
      _13_M="M <13" _13_17_M="M 13-17" _18_24_M="M 18-24" _25_34_M="M 25-34" _35_44_M="M 35-44" _45_54_M="M 45-54" _55_64_M="M 55-64" _65__M="M 65+"
      _13_U="U <13" _13_17_U="U 13-17" _18_24_U="U 18-24" _25_34_U="U 25-34" _35_44_U="U 35-44" _45_54_U="U 45-54" _55_64_U="U 55-64" _65__U="U 65+"
      UNKNOWN_F="F senza età"
      UNKNOWN_M="M senza età"
      UNKNOWN_U="U senza età"; 
      TABLE
      Data all, 
_13_F
_13_17_F
_18_24_F
_25_34_F
_35_44_F
_45_54_F
_55_64_F
_65__F
_13_U
_13_17_M
_18_24_M
_25_34_M
_35_44_M
_45_54_M
_55_64_M
_65__M
_13_17_U
_18_24_U
_25_34_U
_35_44_U
_45_54_U
_55_64_U
_65__U
UNKNOWN_F
UNKNOWN_M
UNKNOWN_U
      / BOX="70 Daily click website by gender and age (Utenti Unici)";
RUN;

/*********************************************************************************************/
/* 71 NUMERO TOTALE DI CLIC SUL SITO WEB PER PAGINA IN BASE A ETA E GENERE ALLA SETTIMANA    */
/*********************************************************************************************/

TITLE3 "#71 Settimanale: numero totale dei clic sul sito Web per Pagina in base a età e genere (Utenti unici)";
PROC IMPORT DATAFILE="&page"
		    OUT=facebook.we_tot_clic_71_&suff
		    DBMS=XLSX
		    REPLACE;
SHEET="Weekly Total web site click...";
RUN;